@ECHO OFF
REM =========================================
REM   Planets Command Center
REM   256-color pictures installation
REM   (c) 1998,99,2002 by Stefan Reuther
REM   Version July 2002 (PCC 1.1)
REM =========================================

  IF NOT EXIST cc.res GOTO NoCC
  IF NOT EXIST cc256.res GOTO NoCC256
  IF NOT EXIST ccaddres.exe GOTO NoAd

REM === PCC 0.99.8 or later ===
  CCADDRES cc256.res     ; 256 color pictures
  IF ERRORLEVEL 1 GOTO CCAdError

:Success
  ECHO -------------------------------------------------------
  ECHO The 256-color pictures have been installed. You may now
  ECHO delete this program, `pictures.bat'.
  ECHO -------------------------------------------------------
  GOTO End

:CCAdError
  ECHO -------------------------------------------------------
  ECHO Installation not successful.
  ECHO -------------------------------------------------------
  GOTO End

:NoCC256
  ECHO -------------------------------------------------------
  ECHO `cc256.res' not found.
  ECHO This file is required for installation. It can be found
  ECHO in the 256-color add-on package.
  GOTO Howto

:NoAd
  ECHO -------------------------------------------------------
  ECHO `ccaddres.exe' not found. This file is part of the
  ECHO PCC distribution (PCC 0.99.8 and later).
  GOTO Howto

:NoCC
  ECHO -------------------------------------------------------
  ECHO `cc.res' not found.
  ECHO This is a file from the original PCC distribution.

:Howto
  ECHO -------------------------------------------------------
  ECHO To install the 256-color add-on, please follow these
  ECHO steps:
  ECHO * unzip the add-on archive into the PCC directory.
  ECHO * make the PCC directory your working directory
  ECHO   (DOS command `cd')
  ECHO * run this program (`pictures.bat').
  ECHO -------------------------------------------------------

:End
